### Hierarchy

- ScrollPosition

## Index

### Properties

- index
- key
- offsetX
- offsetY
- parent
- x
- y

## Properties

### index

index: number

The zero-based index of the item. If scrollPolicy is set to 'loadMoreOnScroll' and the index is greater than maxCount set in scrollPolicyOptions, then it will scroll and fetch until the end of the list is reached and there's no more items to fetch.

### key

key: any

The key of the item. If DataProvider is used for data and the key does not exists in the DataProvider, then the value is ignored. If DataProvider is not used then ListView will fetch and scroll until the item is found or the end of the list is reached and there's no more items to fetch.

### offsetX

offsetX: number

The horizontal offset in pixels relative to the item identified by key/index.

### offsetY

offsetY: number

The vertical offset in pixels relative to the item identified by key/index.

### parent

parent: any

The key of the parent where the index is relative to. If not specified, then the root is assumed

### x

x: number

The horizontal position in pixels.

### y

y: number

The vertical position in pixels.

Generated using TypeDoc